#ifndef ETIMERATTR_H
#define ETIMERATTR_H

#include <QWidget>
#include "eattr.h"
#include "etimer.h"

namespace Ui {
class eTimerAttr;
}

class eTimerAttr : public eAttr
{
    Q_OBJECT

public:
    explicit eTimerAttr(const eTimer::Data &data, QWidget *parent = nullptr);
    ~eTimerAttr();

signals:
    void sAttrChanged(const eTimer::Data &);

public slots:
    void onStyleChanged(int id, bool f);
    void onAttrChanged();

private:
    Ui::eTimerAttr *ui;
};

#endif // ETIMERATTR_H
